//inicia MULTIMEDIA
.multimedia {
  overflow: hidden;
  .row {
    display: flex;
    flex-direction: row;
  }

  .media {
    overflow: hidden;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-grow: 1;
    flex-basis: 0;
    &[class*="link"] {
      img {
        @include border-radius(3px);
      }
    }
    &[class*="image"] {
      @include border-radius(3px);
    }
    &[class*="video"] {
      background: #000;
      @include border-radius(3px);
      &[data-title]:not([data-title=""]) {
        &:hover {
          cursor: pointer;
          img {
            @include transform(scale(1.25));
          }
          &:before {
            opacity: 1;
          }
        }
        &:before {
          content: attr(data-title);
          z-index: 1;
          font-weight: 300;
          color: #fff;
          text-transform: capitalize;
          position: absolute;
          top: 0;
          left: 0;
          width: 100%;
          height: auto;
          opacity: 0;
          text-shadow: 1px 1px 1px #000;
          @include transition(0.3s opacity ease-out);
          @include flexbox(row, nowrap, flex-start, center);
          @include box-sizing(border-box);
        }
        img {
          margin: 5% 0;
        }
      }
      .toggle {
        i {
          padding: 20px;
          border-radius: 50%;
          background: $narrojo;
          height: 1.5rem;
          width: 1.5rem;
          border: 5px solid #fff;
          box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.7);
          &:before {
            line-height: 1em;
            position: relative;
            left: 2px;
          }
        }
      }
    }
    &[class*="audio"] {
      height: 4em;
      overflow: hidden;
      border: 4px solid negro(1);
      @include border-radius(2em);
      @include box-sizing(border-box);
      &:hover {
        cursor: pointer;
        img {
          @include transform(scale(1));
          @include blur(0.5, em);
        }
      }
      img {
        margin-top: -50%;
        @include transform(scale(1.25));
        @include blur(1.5, em);
      }
      hr {
        position: absolute;
        top: 0;
        left: 0;
        height: 100%;
        z-index: 1;
        background: negro(7);
        border-right: 4px solid #fff;
        @include box-sizing(border-box);
        @include box-shadow(5px 5px 15px negro(25));
      }
    }
    iframe,
    img {
      display: block;
      padding: 0;
      margin: 0;
      z-index: 0;
    }
    iframe {
      width: 100%;
    }
    .toggle {
      z-index: 2;
      background: transparent;
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      color: #fff;
      cursor: pointer;
      @include font-size(2);
      @include flexbox(row, nowrap, center, center);
      * {
        font-size: 1.5em;
        margin: 0 30px;
        display: block;
      }
    }
  }
  .media.link-embed {
    width: 550px;
    max-width: 100%;
    height: 550px;
  }
  .media.video-embed-custom {
    max-width: 100%;
    margin: 0 auto;
  }
  .source {
    display: block;
    color: $secondary;
    border-left: 4px solid negro(1);
    /* These are technically the same, but use both */
    overflow-wrap: break-word;
    word-wrap: break-word;
    -ms-word-break: break-all;
    /* This is the dangerous one in WebKit, as it breaks things wherever */
    // word-break: break-all;
    /* Instead use this non-standard one: */
    word-break: break-word;

    /* Adds a hyphen where the word breaks, if supported (No Blink) */
    -ms-hyphens: auto;
    -moz-hyphens: auto;
    -webkit-hyphens: auto;
    hyphens: auto;
    &:hover {
      color: $primary;
    }

    .media.title {
      color: narrojo(75);
      font-weight: 700;
    }
    .media.description {
      margin-top: 10px;
    }
    .media.url {
      margin-top: 10px;
      span {
        display: inline;
        vertical-align: middle;
        text-transform: uppercase;
      }
    }
    .media.provider-icon {
      display: inline;
      float: left;
      position: relative;
      top: 2px;
      width: 16px;
      height: 16px;
      margin-right: 5px !important;
      border-radius: 2px;
    }
  }
  img {
    width: auto;
    max-width: 100%;
    height: auto;
    margin: 0 auto !important;
    @include transition(0.3s transform ease-out, 0.3s filter ease-out);
    :empty {
      display: none;
    }
  }
}
//termina MULTIMEDIA
